%define SNdir %{_libexecdir}/snavigator
%define SNver 50-010322
%define iversion 5.0
%define irelease 7

Summary: Red Hat Source Navigator
Name: snavigator
Version: %{iversion}
Release: %{irelease}
License: GPL
Group: Development/Tools
URL: http://sources.redhat.com/sourcenav/
Source: ftp://sources.redhat.com/pub/sourcenav/releases/SN%{SNver}-source.tar.bz2
Source1: %{name}.desktop
Source2: %{name}.png
Patch: snavigator-5.0-libremote.patch
Patch1: snavigator-5.0-destdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Red Hat Source Navigator is an integrated development environment
for a variety of programming languages.

%prep
%setup -n source
%patch -p1 -b .libremote
%patch1 -p1 -b .destdir

%build
./configure --prefix=%{SNdir}
make

%install
rm -rf $RPM_BUILD_ROOT

export MAKEOPTS="DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=$RPM_BUILD_ROOT"
make MAKE="make $MAKEOPTS" $MAKEOPTS install

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
         $RPM_BUILD_ROOT/etc/X11/applnk/Development \
         $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/snavigator
#!/bin/sh
exec %{SNdir}/bin/snavigator $@
EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/snavigator

# prevent dependency on /usr/local/bin/perl
for file in `find $RPM_BUILD_ROOT -type f`; do
	if [ "$(grep /usr/local/bin/perl $file)" ]; then
		mv $file $file.orig.$$
		cat $file.orig.$$ | \
			sed 's+/usr/local/bin/perl+%{_bindir}/perl+' \
			> $file && rm -f $file.orig.$$
	fi
done

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Development/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

rm -rf $RPM_BUILD_ROOT/%{SNdir}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/applnk/Development/*
%{_datadir}/pixmaps/*
%{_bindir}/snavigator
%{SNdir}

%changelog
* Thu Feb 28 2002 Than Ngo <than@redhat.com> 5.0-7
- rebuild in new enviroment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 19 2001 Than Ngo <than@redhat.com> 5.0-5
- fix bug #53196

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- don't build with sgid root dirs

* Tue Jul 03 2001 Than Ngo <than@redhat.com> 5.0-3
- remove duplicate man pages (Bug #45353)

* Tue Apr 03 2001 Nils Philippsen <nils@redhat.de>
- fix wrapper script execution

* Tue Apr 03 2001 Nils Philippsen <nils@redhat.de>
- version 5.0
- %%files mucho simplificado

* Tue Aug 29 2000 Nils Philippsen <nils@redhat.de>
- version 4.5.1
- initial build for Extra Binge
